package com.muyu.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 认证表
 *
 * @ClassName Authentication
 * @Author AnNan.Wang
 * @Date 2024/5/28 21:12
 */


@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("authentication")
@EqualsAndHashCode(callSuper = true)
public class Authentication extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 企业认证主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 审核报告人
     */
    private String auditor;
    /**
     * 待审核,已通过,未通过
     */
    private String stat;
    /**
     * 审核报告
     */
    private String auditReason;
}
