package com.muyu.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * company对象 company
 *
 * @author wan
 * @date 2024-05-26
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("company")
@EqualsAndHashCode(callSuper = true)
public class Company extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 法定代理人
     */
    private String legalRepresentative;
    /**
     * 企业注册时获得的合法经营凭证号码
     */
    private String businessLicenseNumber;
    /**
     * 企业成立的日期
     */
    private Date companyTime;
    /**
     * 经营范围
     */
    private String sphereOfBusiness;
    /**
     * 注册地址
     */
    private String registeredAddress;
    /**
     * 负责人电话
     */
    private String companyPhone;
    /**
     * 负责人邮箱
     */
    private String companyMailbox;
    /**
     * 企业当前的状态,如正常状态,暂停,注销
     */
    private String companyStatus;
    /**
     * 企业入驻时间
     */
    private Date enterTime;
    /**
     * 企业认证主键
     */
    private Long authenticationId;
    /**
     * 开通服务主键
     */
    private Long liberalServiceId;
    /**
     * 增值服务主键
     */
    private Long appreciationServiceId;
}
