package com.muyu.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 支付表
 *
 * @ClassName Pay
 * @Author AnNan.Wang
 * @Date 2024/5/28 21:33
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("pay")
@EqualsAndHashCode(callSuper = true)
public class Pay extends BaseEntity {
    private static final long serialVersionUID =1L;

    /**
     * 支付主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 企业主键
     */
    private Long companyId;
    /**
     * 支付方式主键
     */
    private Long paymentId;
    /**
     * 增值需要支付的价格
     */
    private Double appreciationDecimal;
}
